class ProductDepositModel {
  String porOrgacode;
  String dmpProdcode;
  String dmpProddesc;
  String dmpProdshort;
  String pcrCurrcode;
  bool dmpProdactive;

  ProductDepositModel({
    required this.porOrgacode,
    required this.dmpProdcode,
    required this.dmpProddesc,
    required this.dmpProdshort,
    required this.pcrCurrcode,
    required this.dmpProdactive,
  });

  factory ProductDepositModel.fromJson(Map<String, dynamic> json) {
    return ProductDepositModel(
      porOrgacode: json['porOrgacode'],
      dmpProdcode: json['dmpProdcode'],
      dmpProddesc: json['dmpProddesc'],
      dmpProdshort: json['dmpProdshort'],
      pcrCurrcode: json['pcrCurrcode'],
      dmpProdactive: json['dmpProdactive'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'porOrgacode': porOrgacode,
      'dmpProdcode': dmpProdcode,
      'dmpProddesc': dmpProddesc,
      'dmpProdshort': dmpProdshort,
      'pcrCurrcode': pcrCurrcode,
      'dmpProdactive': dmpProdactive,
    };
  }

  static List<ProductDepositModel> productListFromJson(List<dynamic> jsonList) {
    return jsonList.map((json) => ProductDepositModel.fromJson(json)).toList();
  }
}
